# M5Station Library

English | [中文](README_cn.md)

<img src="https://static-cdn.m5stack.com/resource/docs/products/core/station_bat/station_bat_01.webp" alt="M5Station_P1" width="350" height="350">
<img src="https://static-cdn.m5stack.com/resource/docs/products/core/station_485/station_485_01.webp" alt="M5Station_P1" width="350" height="350">

**For the Detailed documentation of M5Station BAT, Please [Click here](https://docs.m5stack.com/en/core/station_bat)**

**For the Detailed documentation of M5Station 485, Please [Click here](https://docs.m5stack.com/en/core/station_485)**

**In order to buy M5Station 485, Please [Click here](https://shop.m5stack.com/products/m5stack-station-esp32-iot-development-kit-rs485-version)**

## Description

**M5Station** is a multi-purpose `industrial level` programmable embedded controller with Espressif `ESP32` SOC, integrated `Wi-Fi` and 'BT' solution, dual core low-power `Xtensa® 32-bit LX6` microprocessor, main frequency up to `240MHz`. Onboard `16M FLASH`, integrated `240*135 1.14" full colour HD IPS display` + `physical keypad` + `rich peripherals, two sets of six expansion ports`+ `Low-power sleep/wakeup function`+Integrated IMU `MPU6886`(BAT only). Supports two types of power supply `USB Type-C, internal rechargeable 18650 battery (BAT only)/RS485(485 only)`. The integrated high power density boost DC/DC converter SCT12A0DHKR on board ensures the `stability` of the electrical equipment even in complex applications. This device is suitable for industrial control, intelligent buildings, multi-channel data acquisition nodes and prototyping applications.


## Version differentiation

| M5Station-485                | M5Station-BAT                                              |
| ---------------------------- | ---------------------------------------------------------- |
| PWR485 (RS485 + power input) | MPU6886 on board, can carry two 18650 batteries (parallel) |

- [Schematic PDF](https://m5stack.oss-cn-shenzhen.aliyuncs.com/resource/docs/schematic/Core/M5Station_v1.2.pdf)


<!-- ## More Information

**UIFlow Quick Start**: [Click Here](https://docs.m5stack.com/en/quick_start/core2/uiflow)

**MicroPython API**: [Click Here](https://docs.m5stack.com/en/quick_start/core2/mpy)

**Arduino IDE Development**: [Click Here](https://docs.m5stack.com/en/quick_start/core2/arduino)

**M5Core2 Arduino API**: [Click Here](https://docs.m5stack.com/en/api/core2/axp192_core2)

**PinMap**: [Click Here](https://docs.m5stack.com/en/core/core2) -->
